Description: skip tests that try to access the outside network
 Accessing network during a build is considered a privacy leak and thus not
 welcome in Debian
Author: Mattia Rizzolo <mattia@debian.org>
Bug-Debian: https://bugs.debian.org/830218
Forwarded: not-needed
Last-Update: 2016-07-15

--- a/tests/choose/0002
+++ b/tests/choose/0002
@@ -6,6 +6,10 @@
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
 
+# in Debian we don't like build processes to try to access non-localhost networks
+# skip this test
+exit 77
+
 # if there is no network available during the build, skip the test
 ping -q -c 1 gnu.org 2>&1 /dev/null
 if [ ! $? -eq 0 ] ; then
--- a/tests/png-apply/0001
+++ b/tests/png-apply/0001
@@ -6,6 +6,10 @@
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
 
+# in Debian we don't like build processes to try to access non-localhost networks
+# skip this test
+exit 77
+
 # if there is no network available during the build, skip the test
 ping -q -c 1 gnu.org 2>&1 /dev/null
 if [ ! $? -eq 0 ] ; then
--- a/tests/preview/0001
+++ b/tests/preview/0001
@@ -6,6 +6,10 @@
 # notice and this notice are preserved.  This file is offered as-is,
 # without any warranty.
 
+# in Debian we don't like build processes to try to access non-localhost networks
+# skip this test
+exit 77
+
 # if there is no network available during the build, skip the test
 ping -q -c 1 gnu.org 2>&1 /dev/null
 if [ ! $? -eq 0 ] ; then
